# esp32_BNO08x: bno08x_activity_classifier_t Struct Reference

Loading...
Searching...
No Matches
bno08x_activity_classifier_t Struct Reference

Struct to represent activity classifier data. More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_activity_classifier_t ()
bno08x_activity_classifier_t & | operator= (const sh2_PersonalActivityClassifier_t &source)

## Public Attributes

uint8_t | page
bool | lastPage
BNO08xActivity | mostLikelyState
uint8_t | confidence [10]
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent activity classifier data.

## Constructor & Destructor Documentation

## bno08x_activity_classifier_t()

bno08x_activity_classifier_t::bno08x_activity_classifier_t | ( |  | ) |

inline

## Member Function Documentation

## operator=()

bno08x_activity_classifier_t & bno08x_activity_classifier_t::operator= | ( | const sh2_PersonalActivityClassifier_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_activity_classifier_t::accuracy

## confidence

uint8_t bno08x_activity_classifier_t::confidence[10]

## lastPage

bool bno08x_activity_classifier_t::lastPage

## mostLikelyState

BNO08xActivity bno08x_activity_classifier_t::mostLikelyState

## page

uint8_t bno08x_activity_classifier_t::page

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp